%define	real_name DNS-ZoneParse

Summary:	DNS::ZoneParse - Parse and manipulate DNS Zone Files
Name:		perl-%{real_name}
Version:	0.95
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source:		http://search.cpan.org/CPAN/authors/id/S/SI/SIMONFLK/%{real_name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This module will parse a Zone File and put all the Resource Records (RRs) into
an anonymous hash structure. At the moment, the following types of RRs are
supported: SOA, NS, MX, A, CNAME, TXT, PTR. It could be useful for maintaining
DNS zones, or for transferring DNS zones to other servers. If you want to
generate an XML-friendly version of your zone files, it is easy to use
XML::Simple with this module once you have parsed the zonefile.

DNS::ZoneParse scans the DNS zonefile - removes comments and seperates the file
into its constituent records. It then parses each record and stores the records
internally. See below for information on the accessor methods.

%prep

%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/DNS/ZoneParse.pm
%{_mandir}/*/*

%changelog
* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-12 13:12:28 (63851)
Import perl-DNS-ZoneParse

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdv2007.1
- initial Mandriva package

